Analytics
Discover observed event and property names
Discover observed event and property names
GET
/
v1
/
management
/
games
/
{gameId}
/
environments
/
{envId}
/
analytics
/
catalog
Discover observed event and property names
curl --request GET \
--url https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/analytics/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/analytics/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.summer.games/v1/management/games/{gameId}/environments/{envId}/analytics/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"name": "<string>",
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"approximateCount": 1,
"properties": [
{
"name": "<string>",
"types": [
"<string>"
],
"filterable": true
}
]
}
]
}{
"error": {
"code": "not_signed_in",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "not_signed_in",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "not_signed_in",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "not_signed_in",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}{
"error": {
"code": "not_signed_in",
"message": "<string>",
"requestId": "<string>",
"retryable": true
}
}Authorizations
Your Summer account token, the same one the creator management API uses (summer login --store). You can read only games you own or manage.
Path Parameters
Required string length:
1 - 256Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]{0,255}$Required string length:
1 - 256Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]{0,255}$Query Parameters
Inclusive lower bound; requires to when supplied.
Exclusive upper bound; requires from when supplied.
Maximum string length:
64Response
Bounded observed catalog.
Maximum array length:
500Show child attributes
Show child attributes
⌘I
Discover observed event and property names

